## BtRenderDialog BtRenderDialog — class for the editor render dialog |

## Functions

BtRenderDialog * | bt_render_dialog_new ()

## Types and Values

struct | BtRenderDialog
enum | BtRenderMode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── BtRenderDialog

## Implemented Interfaces

BtRenderDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

Provides UI to access the song recording

## Functions

### bt_render_dialog_new ()

    BtRenderDialog *
    bt_render_dialog_new (void);

Create a new instance

#### Returns

the new instance

## Types and Values

### struct BtRenderDialog

    struct BtRenderDialog;

the song rendering dialog for the editor application

### enum BtRenderMode

Different modes of operation for the BtSong rendering.

#### Members

BT_RENDER_MODE_MIXDOWN | mix to one track |
BT_RENDER_MODE_SINGLE_TRACKS | record one track for each source |